Skip to content

Downloads a model into the running Ollama and returns the download to follow; Ollama's own progress is read from it.

POST
/v1/m/agenttools/ollama/pulls
curl --request POST \
--url https://example.com/v1/m/agenttools/ollama/pulls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "model": "example" }'

Downloads a model into the running Ollama and returns the download to follow; Ollama’s own progress is read from it.

Media type application/json
object
model
required
string
<= 128 characters
Example generated
{
"model": "example"
}

The model download started

Media type application/json
object
completed
required
integer format: int64
error
string
id
required
string format: uuid
model
required
string
state
required
string
Allowed values: running succeeded failed
status
string
total
required
integer format: int64
Example
{
"state": "running"
}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden / step-up required

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict

Media type application/json
object
Example generated
{}

Required evidence or store unavailable

Media type application/json
object
Example generated
{}